//+------------------------------------------------------------------+
//|                                   Copyright  2009, Ivan Kornilov|
//|                                                    MarketInfo.mq4|
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Ivan Kornilov. All rights reserved."
#property link "excelf@gmail.com"
#property indicator_chart_window

extern color textColor;

int init() {
    ObjectCreate("Leverage", OBJ_LABEL, 0, 0, 0, 0, 0);
    ObjectSet("Leverage", OBJPROP_CORNER, 2);
    ObjectSet("Leverage", OBJPROP_YDISTANCE, 60);
    ObjectSet("Leverage", OBJPROP_XDISTANCE, 10);


    ObjectCreate("Spead", OBJ_LABEL, 0, 0, 0, 0, 0);
    ObjectSet("Spead", OBJPROP_CORNER, 2);
    ObjectSet("Spead", OBJPROP_YDISTANCE, 45);
    ObjectSet("Spead", OBJPROP_XDISTANCE, 10);


    ObjectCreate("StopLevel", OBJ_LABEL, 0, 0, 0, 0, 0);
    ObjectSet("StopLevel", OBJPROP_CORNER, 2);
    ObjectSet("StopLevel", OBJPROP_YDISTANCE, 30);
    ObjectSet("StopLevel", OBJPROP_XDISTANCE, 10);


    ObjectCreate("GMT", OBJ_LABEL, 0, 0, 0, 0, 0);
    ObjectSet("GMT", OBJPROP_CORNER, 2);
    ObjectSet("GMT", OBJPROP_YDISTANCE, 15);
    ObjectSet("GMT", OBJPROP_XDISTANCE, 10);
    return(0);
}
int deinit(){
   ObjectDelete("Leverage");
   ObjectDelete("Spead");
   ObjectDelete("StopLevel");
   ObjectDelete("GMT");
   return(0);
}
int start() {
    datetime Time_Local = TimeLocal();
    datetime Time_Current = TimeCurrent();
    int Del_Time=MathAbs(Time_Local-Time_Current);
    string diffTime = TimeToStr(MathAbs(Del_Time), TIME_MINUTES|TIME_SECONDS);
    if(Del_Time > 0) {
        diffTime = StringConcatenate("-", diffTime);
    } else {
        diffTime = StringConcatenate("+", diffTime);
    }
       
    ObjectSetText("Leverage", "Leverage " + AccountLeverage(), 8, "Tahoma", textColor); 
    ObjectSetText("Spead", "Spead " + DoubleToStr((Ask - Bid) / Point, 0), 8, "Tahoma", textColor);  
    ObjectSetText("StopLevel", "Stop Level " + DoubleToStr(MarketInfo(Symbol(), MODE_STOPLEVEL), 0), 8, "Tahoma", textColor);  
    ObjectSetText("GMT", "GMT " + TimeToStr(Time_Current, TIME_MINUTES|TIME_SECONDS) + 
    " Diff " +  diffTime, 8, "Tahoma", textColor);  
    return(0);
}